Bug 1954696 - [API-1009] apirequestcounts should indicate useragent
Summary: [API-1009] apirequestcounts should indicate useragent
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.0
Assignee: David Eads
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-28 15:40 UTC by David Eads
Modified: 2021-07-27 23:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:04:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kubernetes pull 716 0 None open bug 1954696: UPSTREAM: <carry>: add apirequestcount useragent 2021-04-28 15:41:05 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:05:00 UTC

Description David Eads 2021-04-28 15:40:32 UTC
useragent helps distinguish different containers using the same credentials in a pod.

Comment 2 Xingxing Xia 2021-05-06 06:32:46 UTC
Tested in 4.8.0-0.nightly-2021-05-06-003426, there are not only userName, but also userAgent:
oc get apirequestcount -o yaml | grep -A1 userAgent

          userAgent: oauth-server/v0.0.0
          username: system:serviceaccount:openshift-authentication:oauth-openshift
--
          userAgent: oc/4.8.0
          username: testuser-41
--
          userAgent: olm/v0.0.0
          username: system:serviceaccount:openshift-operator-lifecycle-manager:olm-operator-serviceaccount

Comment 5 errata-xmlrpc 2021-07-27 23:04:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.